## tmexpand 0.1.2.0

=== doc/examples/Makefile ===
TMEXPAND = ../bin/tmexpand
MACRODIR = ../macros

TMFILES = help.tm

all: help.hlp

help.hlp: help.tm
	$(TMEXPAND) -I$(MACRODIR) help.tm help.hlp
clean:
	/bin/rm -f *-error *~ "#*"
distclean: clean
	/bin/rm -f *.sgml *.hlp

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
ROOT_DIR = ../..
TMEXPAND = $(ROOT_DIR)/bin/tmexpand
MACRODIR = $(ROOT_DIR)/macros

DOCBOOK2MAN = docbook2man

tmexpand.1: tmexpand.sgml
	$(DOCBOOK2MAN) tmexpand.sgml
tmexpand.sgml: tmexpand.tm
	$(TMEXPAND) -I$(MACRODIR) tmexpand.tm tmexpand.sgml
view: tmexpand.1
	nroff -man tmexpand.1 | most
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *-error manpage.refs manpage.links
distclean: clean
	-rm -f tmexpand.1 tmexpand.sgml
install: tmexpand.1
	-mkdir ../man
	-mv tmexpand.1 ../man

=== images/fig/Makefile ===
COLOR = cccccc
TM = ../../bin/tm2xxx
FILE = sidebar_arrow_$(COLOR)

$(FILE).png: sidebar_arrow.fig.tm
	echo "#d bgcolor #$(COLOR)" > bgcolor.tm
	$(TM) sidebar_arrow.fig.tm $(FILE).fig
	fig2dev -L png -m 0.1 $(FILE).fig $(FILE).png
	/bin/rm $(FILE).fig bgcolor.tm

clean:
	/bin/rm -rf *~ *.png #*

=== doc/examples/web/Makefile ===
# -*- sh -*-

TMEXPAND = ../../bin/tmexpand
MACRODIR = ../../macros

TMFILES = index.tm other.tm

all: index.html other.html

index.html: sidebar.tm
	$(TMEXPAND) -I$(MACRODIR) index.tm index.html
other.html: sidebar.tm
	$(TMEXPAND) -I$(MACRODIR) other.tm other.html
clean:
	/bin/rm -f *~ "#*"
distclean: clean
	/bin/rm -f *.html

=== debian/changelog ===
tmexpand (0.1.2.0-5) unstable; urgency=medium

  * QA upload.
  * Modernize debian packaging
    + Switch from archaic d/rules to modern debhelper based one
    + Initialize d/examples
    + Drop compat file, rely on debhelper-compat and bump compat level to 13
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Redirect VCS-* to salsa
  * d/patches: Add patch to add runstatedir option needed by dh-11 and above
  * d/tests: Add a simple autopkgtest
  * d/control:
    + Add {misc:Depends} to Depends
    + Format with cme, remove un-necessary versioned deps
    + Add "Rules-Requires-Root: no"
  * Add d/clean for cleaning redundant files
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 15:38:52 +0000

tmexpand (0.1.2.0-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 16:32:40 +0100

tmexpand (0.1.2.0-4) unstable; urgency=medium

  * QA (group) upload
  * Switch to dpkg-source 3.0 (quilt) format (closes: #664417)
    Thanks to Jari Aalto for the patch.
  * d/compat: Bump the debhelper compat level to 9 (closes: #817696)
  * d/control: 
    + Build-Depends on debhelper >= 9
    + Remove myself (closes: #571885) and Jörg Sommer from the Uploaders list
    + Set Maintainer to Debian QA Group (orhpaned package)
  * d/p/avoid-unreproducible-build-constructs.patch: New patch
    This makes the build reproducible (closes: #789799). Thanks to
    Chris Lamb for the patch in the bug report, but another, less
    invasive approach was implemented.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jul 2016 16:56:00 -0300

tmexpand (0.1.2.0-3) unstable; urgency=low

  * debian/control:
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Bumped Standards-Version to 3.7.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Dec 2007 00:28:17 +0100

tmexpand (0.1.2.0-2) unstable; urgency=low

  * Removed the lintian override, because jed-script is now an accepted
    script interpreter.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 2 Jul 2007 14:04:15 +0200

tmexpand (0.1.2.0-1) unstable; urgency=low

  * Initial release (closes: #426417)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 27 May 2007 21:13:52 +0200

=== debian/control ===
Source: tmexpand
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: jed | xjed
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/tmexpand
Vcs-Git: https://salsa.debian.org/debian/tmexpand.git
Rules-Requires-Root: no

Package: tmexpand
Architecture: all
Depends: jed | xjed,
         ${misc:Depends}
Description: text-macro processing script to create HTML and SGML documents
 tmexpand is a text-macro processing script written in S-Lang to
 facilitate the creation of text, HTML and SGML documents.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	( cd doc/examples ; \
	  $(MAKE) TMEXPAND=../../bin/tmexpand MACRODIR=../../macros )
	( cd doc/examples/web ; \
	  $(MAKE) TMEXPAND=../../../bin/tmexpand MACRODIR=../../../macros )

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog

execute_before_dh_installman:
	mv $(CURDIR)/debian/tmexpand/usr/man $(CURDIR)/debian/tmexpand/usr/share/man
